Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.ocsp
Class OCSPReqGenerator

    java.lang.Object
      |
      +--org.bouncycastle.ocsp.OCSPReqGenerator

public class OCSPReqGenerator
extends java.lang.Object

Constructor Summary
`OCSPReqGenerator()`

Method Summary
`void` | `addRequest(CertificateID certId)` add a request for the given issuerCert using the given hash algorithm.
`void` | `addRequest(CertificateID certId, X509Extensions requestExtensions)`
`OCSPReq` | `generate()`
`OCSPReq` | `generate(java.lang.String signingAlgorithm, java.security.PrivateKey key, java.security.cert.X509Certificate[] chain, java.lang.String provider)`
`OCSPReq` | `generate(java.lang.String signingAlgorithm, java.security.PrivateKey key, java.security.cert.X509Certificate[] chain, java.lang.String provider, java.security.SecureRandom random)`
`void` | `setRequestExtensions(X509Extensions requestExtensions)`
`void` | `setRequestorName(GeneralName requestorName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCSPReqGenerator

    public OCSPReqGenerator()

Method Detail

### addRequest

    public void addRequest(CertificateID certId)

  add a request for the given issuerCert using the given hash algorithm.

### addRequest

    public void addRequest(CertificateID certId,
                           X509Extensions requestExtensions)

### setRequestorName

    public void setRequestorName(GeneralName requestorName)

### setRequestExtensions

    public void setRequestExtensions(X509Extensions requestExtensions)

### generate

    public OCSPReq generate()
                     throws OCSPException

### generate

    public OCSPReq generate(java.lang.String signingAlgorithm,
                            java.security.PrivateKey key,
                            java.security.cert.X509Certificate[] chain,
                            java.lang.String provider)
                     throws OCSPException,
                            java.security.NoSuchProviderException,
                            java.lang.IllegalArgumentException

### generate

    public OCSPReq generate(java.lang.String signingAlgorithm,
                            java.security.PrivateKey key,
                            java.security.cert.X509Certificate[] chain,
                            java.lang.String provider,
                            java.security.SecureRandom random)
                     throws OCSPException,
                            java.security.NoSuchProviderException,
                            java.lang.IllegalArgumentException

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD